Subject: bug#29575: 25.3; Secret Service API treats labels as unique

From: Allen Li <[email-masked]>
Date: Sat, 8 Sep 2018 16:58:20 -0700

Yes, it works. I think this needs to be documented in the auth-source
manual, but otherwise all the functionality seems to be there and
working, thanks.
On Wed, Sep 5, 2018 at 2:00 AM Michael Albinus <[email-masked]> wrote:
>
> Michael Albinus <[email-masked]> writes:
>
> Hi Allen,
>
> >> Thanks.  It doesn't look like there is a way to get the object path by
> >> searching attributes?  That means there's no way to get the object path for
> >> a secret added from a cooperating application (that may not have a unique
> >> label).  secrets-search-items returns labels.  Ideally there would be a
> >> variant of secrets-search-items that returned object paths.
> >
> > Indeed. I've added the function `secrets-search-item-paths'.
> >
> >> Also, the docstring for secrets-create-items now has this line which I
> >> think is misleading:
> >>
> >> The label ITEM must not be unique in COLLECTION.
> >>
> >> Should it be:
> >>
> >> The label ITEM does not have to be unique in COLLECTION.
> >
> > Yes, sounds better. I've adapted the docstring.
> >
> > All changes are pushed to master. Thanks for your feedback!
>
> Does it work for you? I'd like to close bugs which are fixed for a long
> time; this is one of them.
>
> Best regards, Michael.